exercise_04_25: exercise_04_25.o | .gitignore
	g++ $^ -o $@

exercise_04_25.ii: exercise_04_25.cpp       
	g++ -E $^ -o $@
	      
exercise_04_25.s: exercise_04_25.ii		
	g++ -S $^ -o $@

exercise_04_25.o: exercise_04_25.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04-25" > $@

clean:
	rm *.ii *.s *.o *.out exercise_04_25 .gitignore

test1: exercise_04_25
	./exercise_04_25 < test1.in > test1.out && echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_25.ii exercise_04_25.s
.SECONDARY: exercise_04_25.ii exercise_04_25.s

